Memory pool implementation details
D-Bus secret internal implementation details

DBusMemPool implementation details. More...

## Data Structures

struct | DBusFreedElement
| struct representing an element on the free list. More...
struct | DBusMemBlock
| DBusMemBlock object represents a single malloc()-returned block that gets chunked up into objects in the memory pool. More...
struct | DBusMemPool
| Internals fields of DBusMemPool. More...

## Typedefs

typedef struct DBusFreedElement | DBusFreedElement
| typedef so DBusFreedElement struct can refer to itself.
typedef struct DBusMemBlock | DBusMemBlock
| Typedef for DBusMemBlock so the struct can recursively point to itself.

## Functions

| _DBUS_STATIC_ASSERT (_DBUS_IS_ALIGNED(sizeof(struct DBusMemBlock), _DBUS_ALIGNOF(dbus_max_align_t)))
| _DBUS_STATIC_ASSERT (_DBUS_IS_ALIGNED(offsetof(struct DBusMemBlock, elements), _DBUS_ALIGNOF(dbus_max_align_t)))

## Detailed Description

DBusMemPool implementation details.

The guts of DBusMemPool.

## Typedef Documentation

## DBusFreedElement

typedef struct DBusFreedElement DBusFreedElement

typedef so DBusFreedElement struct can refer to itself.

Definition at line 58 of file dbus-mempool.c.

## DBusMemBlock

typedef struct DBusMemBlock DBusMemBlock

Typedef for DBusMemBlock so the struct can recursively point to itself.

Definition at line 74 of file dbus-mempool.c.